# Enum Class AbstractIndex.IndexType

java.lang.Object
java.lang.Enum<AbstractIndex.IndexType>
htsjdk.tribble.index.AbstractIndex.IndexType

All Implemented Interfaces:
  `Serializable, Comparable<AbstractIndex.IndexType>, Constable`

Enclosing class:
  `AbstractIndex`

public static enum AbstractIndex.IndexType extends Enum<AbstractIndex.IndexType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INTERVAL_TREE`
`LINEAR`

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`fileHeaderTypeIdentifier`

## Method Summary

Modifier and Type
Method
Description
`static AbstractIndex.IndexType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractIndex.IndexType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LINEAR

public static final AbstractIndex.IndexType LINEAR

### INTERVAL_TREE

public static final AbstractIndex.IndexType INTERVAL_TREE

## Field Details

### fileHeaderTypeIdentifier

public final int fileHeaderTypeIdentifier

## Method Details

### values

public static AbstractIndex.IndexType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractIndex.IndexType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null